//
//  GSFontCheckerProtocol.h
//  GlyphsCore
//
//  Created by Georg Seifert on 15.03.18.
//  Copyright © 2018 schriftgestaltung.de. All rights reserved.
//

#import <Foundation/Foundation.h>

@class GSFont;

@protocol GSFontCheckerProtocol <NSObject>

- (NSArray *)checkFont:(GSFont *)font error:(out NSError **)error;

- (NSDictionary *)validateFont:(GSFont *)font error:(out NSError **)error;

- (BOOL)processValidatorResult:result error:(out NSError **)error;

@end
